reg_field_ops Struct Reference

`#include <rtl2832-tuner_e4k.h>`

## Public Attributes

const struct reg_field * | fields
const char ** | field_names
uint32_t | num_fields
void * | data
int(* | write_cb )(void *data, uint32_t reg, uint32_t val)
uint32_t(* | read_cb )(void *data, uint32_t reg)

## Member Data Documentation

## data

void* reg_field_ops::data

## field_names

const char** reg_field_ops::field_names

## fields

const struct reg_field* reg_field_ops::fields

## num_fields

uint32_t reg_field_ops::num_fields

## read_cb

uint32_t(* reg_field_ops::read_cb) (void *data, uint32_t reg)

## write_cb

int(* reg_field_ops::write_cb) (void *data, uint32_t reg, uint32_t val)

The documentation for this struct was generated from the following file:

- rtl2832-tuner_e4k.h